=== debian/changelog ===
dnprogs (2.04-1) stable; urgency=medium

  * See below

 -- Patrick <patrick@pandh.demon.co.uk>  Sat,  5 Feb 2000 13:39:13 +0000

Local variables:
mode: debian-changelog
add-log-mailing-address: "patrick@pandh.demon.co.uk"
End:


2.04  5 Feb 2000
----------------
- Fixed random crash in FAL when creating multiple files
- Fixed a memory leak in dncopy sending multiple files
- Fixed compilation on Slackware; I love linux having millions of distros :-(
- Made startnet give out more friendly messages
- dncopy now consults the DNCOPY_OPTIONS environment variable for default
  command-line arguments.
- Added RFA file access to FAL - this is more useful than it sounds, honest.
- Added support for files with variable length records (non-stream) to FAL.
  This needs metadata (-m) enabled.
- Fixed bug in fal where OOB ACCOMP messages never got a response. This was
  most obvious when editting a large file via EDT and quitting near the top.
- Removed dncopy.README as it didn't say anything anyway
- Include a modified dnping with all sorts of new features, submitted by 
  Rob Davies. man page by me.
- Sethost now supports RSTS/RSX and (allegedly) TOPS-20! Thanks to
  Paul Koning for the patch.
- Include rmtermd from Paul Koning so you can connect your PDP machines to 
  Linux too.

2.03  9 Dec 1999
----------------
- RPMs now include the decnetconf script.
- RPMs now include some previously missing man pages 
- Corrected dndir so that it works with DECnet/E.
  Thanks to Paul Koning <pkoning@xedia.com> for the patch. I've reworked it
  a bit so if it doesn't work blame me and not him.
  fal still needs a fair bit of work.
- Asking for a directory of an empty filespec shows the user's home directory
- Fixed startup scripts so that startnet really doesn't run on a 2.3 "Steve"
  kernel.
- Zeroed out some sockaddr_dn structures for fussier 2.3 kernels.
- Fixed compilation with gcc 2.95.2 (Debian potato)
- Added prototype to dnet_conn into dnetdb.h
- Made phoned a bit more robust to junk coming in on its socket.
- Fixed static linking. Now use the local libs rather than the installed ones.
  and also made it an all-or-nothing option.
- Fixed dialling in phoned so that it bleeps at the user again.
- ctermd no longer uses 'login -p'
- Fixed the DAP client buffer size from 65536 to 65535. D'oh! Only my FAL
  barfed on this piece of (probably alcohol induced) stupidity; and it 
  shouldn't have.
- In FAL dir node::"/dir" now adds a "/*" to the end of the name so you get
  a directory listing.
- Fal doesn't add version numbers to files that already have them (eg. files
  created by the VMS NFS client)
- Fixed mirror in dnetd.
- Fixed mirror example code in man page for dnet_daemon.
- Fixed TYPEing files from VMS broken by blocking in 2.01.
- Fixed manpage symlinks for dnet_getnode and dnet_nextnode.
- Phone client now works with 2.3 kernels.
- ctermd & dnetd use Unix98 ptys if available.
- Prevent phone client from dialling itself because it causes a dealock
  with the server. I know this is only fixing the symptom but talking to
  yourself is bad for you anyway!
- Some documentation updates and man page tidying.
- Added -p option to dnetd to specify an alternative directory to look
  for program binaries.
- startnet now works on 'Steve' kernels. It uses the sysctl interface to
  configure the system from the information in /etc/decnet.conf. You don't
  really need this (and the startup script still doesn't call it) but it
  is provided for completeness in case anyone wants to reconfigure their
  system on-the-fly.

2.02 21 Oct 1999
----------------
- Done a little porting for NetBSD
- Header field fixes (mainly for VAXeln)
- Bug fixes to KEYed reads in librms
- Added new functions to librms for easier programming

2.01 15 Aug 1999
----------------
- Now builds on libc5 systems. Will I never learn?
- Fixed dncopy/dntype with VFC files - this must have been broken for ages
- Minor Makefile tweaks
- Improved speed of dncopy and fal by extensive use of blocking
- Fixed blocking(!)
- New function in libdnet: dnet_recv(). This function is designed to hide
  the differences between recv() in the 'Eduardo' and 'Steve' kernels in 
  that it will always read a full record before returning.

2.00 11 July 1999
-----------------
- Tidied up all sorts of dndir output, particularly against VMS 7.2
- Fixed crash if dnsubmit/dnprint/dndir were run without parameters but
  with switches
- Added exit-char option to sethost and proper usage message
- Removed all references to dnmirror in man pages as it is now part of dnetd
- Improved error detection in dndel
- libdap now understands KEYDEF messages. How much use this is is doubtful
  as VMS always sends junk SUMMARY messages :-(
- FAL now (partially) understands $ADF$ files created by VMS NFS client 5.0
- rc script now installed into runlevel directory with RPM but will only start
  DECnet if /etc/decnet.conf exists
- Added Steve's dnet_ntop and dnet_pton functions to libdnet

1.94 13th June 1999
-------------------
- Tidied error messages from dndel
- Fixed Makefile for librms
- Fixed race condition in child-death handing of daemons
- Install rc script in RPM
- rc script "start" command will try to run startnet only if it has to
- RPMs and DEBs now build with a prefix of /usr
- All sorts of librms fixes
- Tidied up 'startnet -hw'. With luck it won't segfault the kernel now.

1.93 23th May 1999
------------------
- All libraries are now release under the LGPL. Thanks to Eduardo and
  Steve for allowing me to change the licence on their parts of this software
- Allow command-line options to daemons in dnetd.conf (actually this was a bug)
- Fixed logging (-v) in dncopy, dndel, dnsubmit, and dndir
- Removed error strings from dncopy that were also in libdap
- Fixed up error reporting in dncopy
- getnodebyname(3) now accepts node addresses, eg. "dndir 1.30::" works
- Moved man pages for ctermd and startnet to section 8 and updated them

