=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=dnprogs

build:
	$(checkdir)
	
	make
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp `find debian/* -type d ! -name CVS ` debian/files* core
	-rm -f debian/*substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp `find debian/* -type d`
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	install -m 0755 scripts/setup.sh debian/postinst
	install -m 0644 include/netdnet/dn.h debian/tmp/usr/include/netdnet
	install -m 0644 include/netdnet/dnetdb.h debian/tmp/usr/include/netdnet
	install -m 0644 apps/decnet.conf debian/tmp/etc/decnet.conf
	make install DESTDIR=`pwd`/debian/tmp
	ln -sf libdnet.so.2 debian/tmp/usr/lib/libdnet.so.1
	debstd NEWS README TODO Documentation/*
	dpkg-gencontrol -pdnprogs
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
